/*#include "16f876a.h"
#device adc=10
#fuses HS,NOWDT,NOLVP,NOCPD
#use delay(clock=4M)
//#include "lcd.c"
#include "ce_lcd.c"



#define LCD_ENABLE_PIN   PIN_C3                                   
#define LCD_RS_PIN       PIN_C2                                  
 #define LCD_RW_PIN      PIN_C1 
                                 
 #define LCD_DATA4       PIN_C4                                   
#define LCD_DATA5        PIN_C5                                  
 #define LCD_DATA6       PIN_C6                                   
 #define LCD_DATA7       PIN_C7

int value;
float value1,value2;

void main()
{
	set_tris_A(0xff);
	set_tris_B(0x00);
	set_tris_C(0x00);
	
setup_comparator(NC_NC_NC_NC);
setup_adc(ADC_CLOCK_INTERNAL);
setup_adc_ports(AN0);
set_adc_channel(0);
setup_vref(FALSE);

	lcd_init();
   lcd_gotoxy(1,1);
delay_us(100);
printf(lcd_putc,"\fKKK");

delay_ms(1500);


	
	while(1)
	{
	delay_us(20);
	read_adc(adc_start_only);
	delay_us(100);
	value=read_adc(adc_read_only);
	value1=value*500*6/1023;
	value2=value1;	
  

	delay_ms(50);
	printf(lcd_putc,"\f%.3f",value2);
	delay_ms(1500);
	
		}
	
	
	}*/

#include "16f876a.h"
 
#device adc=10
 
#fuses XT,NOWDT,NOLVP,NOCPD
 
#use delay(clock=4M)
 
 
#define LCD_ENABLE_PIN  PIN_C2
#define LCD_RS_PIN      PIN_C0
#define LCD_RW_PIN      PIN_C1
#define LCD_DATA4       PIN_C4
#define LCD_DATA5       PIN_C5
#define LCD_DATA6       PIN_C6
#define LCD_DATA7       PIN_C7
 
#include "ce_lcd.c"
 
int value;
float value1,value2;
 
void main()
{
    set_tris_a(0xff);
    set_tris_b(0x00);
    set_tris_c(0x00);
    
    setup_comparator(NC_NC_NC_NC);
    setup_adc(ADC_CLOCK_INTERNAL);
    setup_adc_ports(AN0);
    set_adc_channel(0);
    setup_vref(FALSE);
 
 
    lcd_init();
    lcd_gotoxy(0,1);
    
    while(1)
    {
        delay_us(20);
        read_adc(adc_start_only);
        delay_us(100);
        value = read_adc(adc_read_only);
        delay_us(100);
        value = value * 300.0 / 1023.0;
                
        printf(lcd_putc,"\f%7.3d",value);
        delay_ms(100);
    }    
}